Album: Mad Mew Mew (from UNDERTALE)
Directory: mad-mew-mew
Style: single
Artists:
- Toby Fox
Date: September 15, 2020
#Date Added: 
#URLs:
#- 
Color: '#b962b9'
Cover Artwork:
- File Extension: png
  Artists:
  - Materia Collective
  - 'bit (edits for wiki: artefact cleanup)'
  Tags:
  - Mad Mew Mew
Groups:
- UNDERTALE & DELTARUNE
- Toby Fox
- Beyond
---
Track: Mad Mew Mew (from UNDERTALE)
Directory: mad-mew-mew
#Date First Released: June 21, 2020
# date cite: Nintendo DREAM magazine promo CD in June 2020, this magazine appears to release on 21st
# https://www.mariowiki.com/Nintendo_DREAM
Duration: 2:24
URLs:
- https://www.youtube.com/watch?v=aeM0EVs1ON8
- https://open.spotify.com/track/683obppCdkqafnmakQQvJX
Referenced Tracks:
- Dummy!
Commentary: |-
    <i>Materia Collective:</i> ([materiacollective.com album page](https://www.materiacollective.com/music/mad-mew-mew-from-undertale))

    Huh? You don't recognize me…?<br>
    Ohhh ho ho…<br>
    That's all for the better\~!<br>
    Once I fuse with this PERFECT new body, mew\~<br>
    A brand new, WONDERFUL life is going to begin!
Crediting Sources: |-
    <i>Materia Collective:</i> ([materiacollective.com album page](https://www.materiacollective.com/music/mad-mew-mew-from-undertale))

    [[artist:toby-fox]]: Composer<br>
    [[artist:asmolboy]]: Special Thanks (SAVE Our SOULS Fonts)
